<div class="grid">
    <ngx-spinner bdColor="rgba(0,0,0,0.5)" color="#fff" type="ball-clip-rotate-multiple" size="large"
        [fullScreen]="false">
        <p style="color: white;margin-top: 30px;">Loading Datas...</p>
        <!--if fullscreen false  Your parent container(div) should have position: relative;  -->
    </ngx-spinner>
    <p-messages></p-messages>
    <p-toast></p-toast>
    <div class="col-12">
        <div class="card">
            <h5 class="text-blue-500 font-bold"><i class="pi pi-building text-4xl"></i>ผู้ป่วยรอรับเข้าตึก
            </h5>

            <p-toast></p-toast>
            <p-confirmDialog>
                <ng-template pTemplate="message" let-message>
                    <div class="flex flex-column align-items-center w-full gap-3 border-bottom-1 surface-border">
                        <i class="pi pi-exclamation-circle text-6xl text-primary-500"></i>
                        <p>{{ message.message }}</p>
                    </div>
                </ng-template>
            </p-confirmDialog>



            <!-- //default scroll -->
            <!-- <p-table #pnl [value]="dataSet" scrollDirection="both" [paginator]="true" [rows]="10" [scrollable]="true"
                [showCurrentPageReport]="true" styleClass="mt-3" responsiveLayout="scroll" [rowHover]="true"
                currentPageReportTemplate="Showing {first} to {last} of {totalRecords} entries"
                [rowsPerPageOptions]="[10,25,50]" [globalFilterFields]="['an','hn','fname','lname']"> -->

            <!-- responsive stack  -->
            <p-table #pnl [value]="dataSet" [paginator]="true" [rows]="10" [showCurrentPageReport]="true" selectionMode="single" [(selection)]="selectedPatient" dataKey="an" [rowHover]="true"
                styleClass="p-datatable-striped mt-3" responsiveLayout="stack" [breakpoint]="'700px'" 
                [rowHover]="true" currentPageReportTemplate="Showing {first} to {last} of {totalRecords} entries"
                [rowsPerPageOptions]="[10,25,50]" [globalFilterFields]="['an','hn','fname','lname']">
                <ng-template pTemplate="caption">
                    <div class="flex flex-wrap md:align-items-center md:justify-content-between justify-content-start align-items-end">

                        <div class="flex tw-gap-2  tw-w-1/2 ">
                            <div class="flex">                        
                                <span class=" p-input-icon-right">                                 
                                    <p-calendar [showIcon]="false" name="endDate"  [(ngModel)]="Admit_date"  dateFormat="yy-mm-dd" styleClass="w-full sm:w-14rem "
                                        placeholder="Admit Date" appendTo="body"  [timeOnly]="false"(ngModelChange)="onDateSelect($event)" [showButtonBar]="true"  ></p-calendar>
                                    <i class="pi pi-calendar"></i>
                                </span>                              
                            </div>                     
                        </div>                      

                        <div class="flex flex-wrap tw-gap-x-2 md:justify-content-end md:align-items-end justify-content-start align-items-end">
                            <span class="p-input-icon-left p-input-icon-right">
                                <i class="pi pi-user" *ngIf="filterName == ''"></i>
                                <input type="text" pInputText placeholder="ค้นหา"
                                (input)="onGlobalFilter(pnl, $event)" [(ngModel)]="filterName" />
                                <i class="pi pi-search"></i>
                                <button pButton pRipple type="button" icon="pi pi-times"
                                    class="p-button-rounded p-button-text p-button-plain -ml-6 -mt-4"
                                    (click)="clearFilter(pnl,$event)" *ngIf="filterName !=''"></button>
                            </span>
        
                        </div>
                    </div>

                </ng-template>
                <ng-template pTemplate="header">
                    <!-- <tr>
                        <th class="text-center">ลำดับ</th>
                        <th pSortableColumn="hospital_code">รหัสหน่วยบริการ <p-sorticon field="hospital_code"></p-sorticon></th>
                        <th pSortableColumn="hospital_name">ชื่อหน่วยบริการ <p-sorticon field="hospital_name"></p-sorticon></th>
                        <th class="text-center" pSortableColumn="is_active">สถานะการใช้งาน <p-sorticon field="is_active"></p-sorticon></th>
                        <th class="text-center"></th>
                    </tr> -->
                    <tr>
                        <th class="text-center" pSortableColumn="an">AN <p-sortIcon field="an"></p-sortIcon></th>
                        <th class="text-center"  pSortableColumn="hn">HN <p-sortIcon field="hn"></p-sortIcon></th>
                        <th>ชื่อ - สกุล</th>
                        <th>อายุ</th>
                        <th>เพศ</th>
                        <th>Diag text</th>
                        <th  pSortableColumn="admit_date">Admit Date<p-sortIcon field="admit_date"></p-sortIcon></th>
                        <th>การจัดการ</th>
                    </tr>

                </ng-template>
                <ng-template pTemplate="body" let-dataSet let-i="rowIndex">
                    <tr  [pSelectableRow]="dataSet"   (click)="navigateRegister(dataSet)">
                        <td>{{dataSet.an}}</td>
                        <td>{{dataSet.hn}}</td>
                        <td>{{dataSet.title}}{{dataSet.fname}} {{dataSet.lname}}</td>
                        <td>{{dataSet.age | thaiage}}</td>
                        <td>{{dataSet.gender}}</td>
                        <td>{{dataSet.pre_diag}}</td>
                        <td>{{dataSet.admit_date}} : {{dataSet.admit_time}} </td>

                        <td class="text-center">

                            <div class="flex  gap-2">
                                <!-- <p-confirmPopup></p-confirmPopup> -->
                                <!-- <p-confirmDialog></p-confirmDialog> -->
                                <!-- <button pButton pRipple icon="pi pi-file-edit" class="p-button-outlined p-0"
                                    size="small" (click)="navigateWaitingAdmit(dataSet)"></button> -->
                                <!-- <button type="button" pButton icon="fa fa-list" label=""
                                    (click)="activeItem = dataSet;menu.toggle($event)"></button>
                                <p-menu #menu [model]="items" [popup]="true" appendTo="body"></p-menu> -->

                                <button pButton pRipple class="p-button-outlined p-2"
                                    (click)="navigateRegister(dataSet)">
                                    <i class="fa-solid fa-hand-holding-medical"></i>
                                </button>
                            </div>
                        </td>
                    </tr>

                </ng-template>
            </p-table>
        </div>
    </div>
</div>